<template>
<div class="bg-primary p-0 m-0 d-flex">
  <v-row justify="center" align="center" class="row-bg">
    <v-col cols="12" md="4">
      <v-btn color="primary" block class="my-3" rounded to="/login">Login</v-btn>
      <v-btn color="primary" block class="my-3" rounded to="/register">Cadastro</v-btn>

      <carousel :texts="texts"/>
    </v-col>
  </v-row>
</div>
</template>

<script>
export default {
  name: 'IndexPage',
  head () {
    return {
      title: 'ShareVid'
    }
  },
  data () {
    return {
      texts: [
        { title: 'ShareVid', text: 'Best Video Sharing Platform around the globe' },
        { title: 'ShareVid 2', text: 'Best Video Sharing Platform around the globe 2' }
      ]
    }
  }
}
</script>

<style scoped>
  .bg-primary{
    background: url('/imgs/bg-mulher.svg');
    background-size: cover;
    background-repeat: no-repeat;
  }

  .bg-primary::before{
    background: #333333;
    opacity: 0.3;
  }
</style>
